MyGUI: MyGUI::ISerializable Class Reference

MyGUI 3.4.3

Public Types | Public Member Functions | Static Public Member Functions
MyGUI::ISerializable Class Reference

`#include <MyGUI_ISerializable.h>`

Inheritance diagram for MyGUI::ISerializable:
[legend]

## Public Types
typedef RTTIBase | Base
typedef ISerializable | RTTIBase
Public Types inherited from MyGUI::IObject
typedef IObject | RTTIBase

## Public Member Functions
virtual std::string_view | getTypeName () const override
virtual bool | isType (const std::type_info &_type) const override
template<typename Type>
bool | isType () const
virtual void | serialization (xml::ElementPtr, Version)
virtual void | deserialization (xml::ElementPtr, Version)
Public Member Functions inherited from MyGUI::IObject
template<typename Type>
bool | isType () const
template<typename Type>
Type * | castType (bool _throw=true)
template<typename Type>
const Type * | castType (bool _throw=true) const
virtual | ~IObject ()=default

## Static Public Member Functions
static std::string_view | getClassTypeName ()
Static Public Member Functions inherited from MyGUI::IObject
static std::string_view | getClassTypeName ()

## Detailed Description

Definition at line 18 of file MyGUI_ISerializable.h.

## Member Typedef Documentation

## ◆ Base

typedef RTTIBase MyGUI::ISerializable::Base

Definition at line 20 of file MyGUI_ISerializable.h.

## ◆ RTTIBase

typedef ISerializable MyGUI::ISerializable::RTTIBase

Definition at line 20 of file MyGUI_ISerializable.h.

## Member Function Documentation

## ◆ deserialization()

virtual void MyGUI::ISerializable::deserialization | ( | xml::ElementPtr | ,
|  | Version | )
| inlinevirtual

Reimplemented in MyGUI::IResource, MyGUI::OverlappedLayer, MyGUI::ResourceImageSetPointer, MyGUI::ResourceLayout, MyGUI::ResourceManualFont, MyGUI::ResourceManualPointer, MyGUI::ResourceSkin, MyGUI::ResourceTrueTypeFont, and MyGUI::SharedLayer.

Definition at line 26 of file MyGUI_ISerializable.h.

## ◆ getClassTypeName()

std::string_view MyGUI::ISerializable::getClassTypeName | ( |  | ) |
| inlinestatic

Definition at line 20 of file MyGUI_ISerializable.h.

## ◆ getTypeName()

virtual std::string_view MyGUI::ISerializable::getTypeName | ( |  | ) | const
| inlineoverridevirtual

Get type name as string

Reimplemented from MyGUI::IObject.

Reimplemented in MyGUI::EditTextStateInfo, MyGUI::IFont, MyGUI::ILayer, MyGUI::IPointer, MyGUI::IResource, MyGUI::IStateInfo, MyGUI::OverlappedLayer, MyGUI::ResourceImageSet, MyGUI::ResourceImageSetPointer, MyGUI::ResourceLayout, MyGUI::ResourceManualFont, MyGUI::ResourceManualPointer, MyGUI::ResourceSkin, MyGUI::ResourceTrueTypeFont, MyGUI::RotatingSkinStateInfo, MyGUI::SharedLayer, MyGUI::SubSkinStateInfo, and MyGUI::TileRectStateInfo.

Definition at line 20 of file MyGUI_ISerializable.h.

## ◆ isType() [1/2]

template<typename Type>

bool MyGUI::ISerializable::isType | ( |  | ) | const
| inline

Compare with selected type

Definition at line 20 of file MyGUI_ISerializable.h.

## ◆ isType() [2/2]

virtual bool MyGUI::ISerializable::isType | ( | const std::type_info & | _type | ) | const
| inlineoverridevirtual

Compare with selected type

Reimplemented from MyGUI::IObject.

Reimplemented in MyGUI::EditTextStateInfo, MyGUI::IFont, MyGUI::ILayer, MyGUI::IPointer, MyGUI::IResource, MyGUI::IStateInfo, MyGUI::OverlappedLayer, MyGUI::ResourceImageSet, MyGUI::ResourceImageSetPointer, MyGUI::ResourceLayout, MyGUI::ResourceManualFont, MyGUI::ResourceManualPointer, MyGUI::ResourceSkin, MyGUI::ResourceTrueTypeFont, MyGUI::RotatingSkinStateInfo, MyGUI::SharedLayer, MyGUI::SubSkinStateInfo, and MyGUI::TileRectStateInfo.

Definition at line 20 of file MyGUI_ISerializable.h.

## ◆ serialization()

virtual void MyGUI::ISerializable::serialization | ( | xml::ElementPtr | ,
|  | Version | )
| inlinevirtual

Definition at line 23 of file MyGUI_ISerializable.h.

The documentation for this class was generated from the following file:

- MyGUI_ISerializable.h